% 6.888 Wireless Communications Systems
%
% Dina Katabi / Haitham Hassnaieh 
% CSAIL, MIT 
% September 11, 2013
%
addpath ../SRC_CODE
load ../Mat_Files/Test_IAC_R.mat
load ../Mat_Files/Parameters.mat

[T1_bits_data_1 T1_bits_data_2 T1_bits_data_3] = decode_iac(rx_signal_1_T1,rx_signal_2_T1,rx_signal_3_T1,rx_signal_4_T1);
[T2_bits_data_1 T2_bits_data_2 T2_bits_data_3] = decode_iac(rx_signal_1_T2,rx_signal_2_T2,rx_signal_3_T2,rx_signal_4_T2);
[T3_bits_data_1 T3_bits_data_2 T3_bits_data_3] = decode_iac(rx_signal_1_T3,rx_signal_2_T3,rx_signal_3_T3,rx_signal_4_T3);
[T4_bits_data_1 T4_bits_data_2 T4_bits_data_3] = decode_iac(rx_signal_1_T4,rx_signal_2_T4,rx_signal_3_T4,rx_signal_4_T4);
[T5_bits_data_1 T5_bits_data_2 T5_bits_data_3] = decode_iac(rx_signal_1_T5,rx_signal_2_T5,rx_signal_3_T5,rx_signal_4_T5);


BER_1_T1 = sum(abs(bits_data_1_T1 - T1_bits_data_1))/length(bits_data_1_T1);
BER_2_T1 = sum(abs(bits_data_2_T1 - T1_bits_data_2))/length(bits_data_2_T1);
BER_3_T1 = sum(abs(bits_data_3_T1 - T1_bits_data_3))/length(bits_data_3_T1);

BER_1_T2 = sum(abs(bits_data_1_T2 - T2_bits_data_1))/length(bits_data_1_T2);
BER_2_T2 = sum(abs(bits_data_2_T2 - T2_bits_data_2))/length(bits_data_2_T2);
BER_3_T2 = sum(abs(bits_data_3_T2 - T2_bits_data_3))/length(bits_data_3_T2);

BER_1_T3 = sum(abs(bits_data_1_T3 - T3_bits_data_1))/length(bits_data_1_T3);
BER_2_T3 = sum(abs(bits_data_2_T3 - T3_bits_data_2))/length(bits_data_2_T3);
BER_3_T3 = sum(abs(bits_data_3_T3 - T3_bits_data_3))/length(bits_data_3_T3);

BER_1_T4 = sum(abs(bits_data_1_T4 - T4_bits_data_1))/length(bits_data_1_T4);
BER_2_T4 = sum(abs(bits_data_2_T4 - T4_bits_data_2))/length(bits_data_2_T4);
BER_3_T4 = sum(abs(bits_data_3_T4 - T4_bits_data_3))/length(bits_data_3_T4);

save ../Results/Result_IAC.mat T*_bits_data_* BER*

